Unpin List
curl --request DELETE \
--url https://api.x.com/2/users/{id}/pinned_lists/{list_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/{id}/pinned_lists/{list_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/{id}/pinned_lists/{list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pinned": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Pinned Lists
Unpin List
Causes the authenticated user to unpin a specific List by its ID.
DELETE
/
2
/
users
/
{id}
/
pinned_lists
/
{list_id}
Unpin List
Authorizations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the authenticated source User for whom to return results. Unique identifier of this User. The value must be the same as the authenticated user.
Example:
"2244994945"
The ID of the List to unpin. The unique identifier of this List.
Pattern:
^[0-9]{1,19}$Example:
"1146654567674912769"
Response
The request has succeeded.
Show child attributes
Show child attributes
Minimum array length:
1An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes